How to Install 0ad in Ubuntu 20.04 LTS Focal Fossa

Quick Install Instructions of 0ad on Ubuntu 20.04.

Install 0ad by entering the following commands in the terminal

Step 1

Update package repositories and get latest package information.

sudo apt update -y
Copied

Step 2

Install the packages and dependencies with -y flag.

sudo apt install -y 0ad
Copied

Now that you have your 0ad installed


Package Description: Real-time strategy game of ancient warfare

Version: 0.0.23.1-4ubuntu3

Repository: universe

OS: Ubuntu 20.04 LTS Focal Fossa

Dependent Packages (you may have to install the packages below if it is not installed automatically or is not available on your computer) :

  • dpkg (>= 1.15.6~)
    Debian package management system
  • 0ad-data (<= 0.0.23.1-4ubuntu3)
    Real-time strategy game of ancient warfare (data files)
  • 0ad-data-common (<= 0.0.23.1-4ubuntu3)
    Real-time strategy game of ancient warfare (common data files)
  • libboost-filesystem1.71.0
    filesystem operations (portable paths, iteration over directories, etc) in C++
  • libc6 (>= 2.29)
    GNU C Library: Shared libraries also a virtual package provided by libc6-udeb
  • libcurl3-gnutls (>= 7.16.2)
    easy-to-use client-side URL transfer library (GnuTLS flavour)
  • libenet7
    thin network communication layer on top of UDP
  • libgcc-s1 (>= 3.4) [amd64]
    GCC support library
  • libgl1
    Vendor neutral GL dispatch library -- legacy GL support
  • libgloox17
    C++ jabber/xmpp library
  • libicu66 (>= 66.1~rc-1~)
    International Components for Unicode
  • libminiupnpc17 (>= 1.9.20140610)
    UPnP IGD client lightweight library
  • libnspr4 (>= 2:4.9.2)
    NetScape Portable Runtime Library
  • libnvtt2
    NVIDIA Texture Tools
  • libopenal1 (>= 1.14)
    Software implementation of the OpenAL audio API (shared library)
  • libpng16-16 (>= 1.6.2-1)
    PNG library - runtime (version 1.6)
  • libsdl2-2.0-0 (>= 2.0.10)
    Simple DirectMedia Layer
  • libsodium23 (>= 1.0.14)
    Network communication, cryptography and signaturing library
  • libstdc++6 (>= 9)
    GNU Standard C++ Library v3
  • libvorbisfile3 (>= 1.1.2)
    high-level API for Vorbis General Audio Compression Codec
  • libwxbase3.0-0v5 (>= 3.0.4+dfsg)
    wxBase library (runtime) - non-GUI support classes of wxWidgets toolkit
  • libwxgtk3.0-gtk3-0v5 (>= 3.0.4+dfsg-10~)
    wxWidgets Cross-platform C++ GUI toolkit (GTK 3 runtime)
  • libx11-6
    X11 client-side library
  • libxcursor1 (>> 1.1.2)
    X cursor management library
  • libxml2 (>= 2.9.0)
    GNOME XML library
  • zlib1g (>= 1:1.2.0)
    compression library - runtime

Similar packages

0ad

Real-time strategy game of ancient warfare

0ad-data

Real-time strategy game of ancient warfare (data files)

0ad-data-common

Real-time strategy game of ancient warfare (common data files)

0ad-dbg

Real-time strategy game of ancient warfare (debug)

libghc-bytestring-dev-0.10.6.0-40ad3

This is a virtual package. See the Debian policy for a definition of virtual packages.

libghc-bytestring-prof-0.10.6.0-40ad3

This is a virtual package. See the Debian policy for a definition of virtual packages.

libghc-hspec-dev-2.2.1-740ad

This is a virtual package. See the Debian policy for a definition of virtual packages.

libghc-hspec-prof-2.2.1-740ad

This is a virtual package. See the Debian policy for a definition of virtual packages.

libghc-monadcryptorandom-dev-0.7.0-0ad40

This is a virtual package. See the Debian policy for a definition of virtual packages.

libghc-monadcryptorandom-prof-0.7.0-0ad40

This is a virtual package. See the Debian policy for a definition of virtual packages.